Index: protocols/jabber/s5bytestream.c
===================================================================
--- protocols/jabber/s5bytestream.c	(revision f85e9d6846d7b4ec0109180e62ae8677e2421fa3)
+++ protocols/jabber/s5bytestream.c	(revision d25ebea73aef7d6b2bbc17212af5109383277e6e)
@@ -406,5 +406,5 @@
 			bt->phase = BS_PHASE_CONNECTED;
 			
-			bt->tf->watch_out = b_input_add( fd, GAIM_INPUT_WRITE, jabber_bs_recv_handshake, bt );
+			bt->tf->watch_out = b_input_add( fd, B_EV_IO_WRITE, jabber_bs_recv_handshake, bt );
 
 			/* since it takes forever(3mins?) till connect() fails on itself we schedule a timeout */
@@ -433,5 +433,5 @@
 			bt->phase = BS_PHASE_REQUEST;
 
-			bt->tf->watch_in = b_input_add( fd, GAIM_INPUT_READ, jabber_bs_recv_handshake, bt );
+			bt->tf->watch_in = b_input_add( fd, B_EV_IO_READ, jabber_bs_recv_handshake, bt );
 
 			bt->tf->watch_out = 0;
@@ -589,5 +589,5 @@
 
 	tf->ft->data = tf;
-	tf->watch_in = b_input_add( tf->fd, GAIM_INPUT_READ, jabber_bs_recv_read, bt );
+	tf->watch_in = b_input_add( tf->fd, B_EV_IO_READ, jabber_bs_recv_read, bt );
 	tf->ft->write_request = jabber_bs_recv_write_request;
 
@@ -631,5 +631,5 @@
 		if( ( ret == -1 ) && ( errno == EAGAIN ) )
 		{
-			tf->watch_in = b_input_add( tf->fd, GAIM_INPUT_READ, jabber_bs_recv_read, bt );
+			tf->watch_in = b_input_add( tf->fd, B_EV_IO_READ, jabber_bs_recv_read, bt );
 			return FALSE;
 		}
@@ -707,5 +707,5 @@
 		imcb_file_finished( ft );
 	else
-		bt->tf->watch_out = b_input_add( tf->fd, GAIM_INPUT_WRITE, jabber_bs_send_can_write, bt );
+		bt->tf->watch_out = b_input_add( tf->fd, B_EV_IO_WRITE, jabber_bs_send_can_write, bt );
 		
 	return TRUE;
@@ -918,5 +918,5 @@
 				bt->streamhosts = g_slist_append( bt->streamhosts, sh );
 
-				bt->tf->watch_in = b_input_add( tf->fd, GAIM_INPUT_READ, jabber_bs_send_handshake, bt );
+				bt->tf->watch_in = b_input_add( tf->fd, B_EV_IO_READ, jabber_bs_send_handshake, bt );
 				bt->connect_timeout = b_timeout_add( JABBER_BS_LISTEN_TIMEOUT * 1000, jabber_bs_connect_timeout, bt );
 			} else {
@@ -1055,5 +1055,5 @@
 			bt->phase = BS_PHASE_CONNECTED;
 
-			bt->tf->watch_in = b_input_add( fd, GAIM_INPUT_READ, jabber_bs_send_handshake, bt );
+			bt->tf->watch_in = b_input_add( fd, B_EV_IO_READ, jabber_bs_send_handshake, bt );
 			return FALSE;
 		}
Index: protocols/msn/invitation.c
===================================================================
--- protocols/msn/invitation.c	(revision f85e9d6846d7b4ec0109180e62ae8677e2421fa3)
+++ protocols/msn/invitation.c	(revision d25ebea73aef7d6b2bbc17212af5109383277e6e)
@@ -209,5 +209,5 @@
 	sock_make_nonblocking( fd );
 
-	msn_file->r_event_id = b_input_add( fd, GAIM_INPUT_READ, msn_ftp_read, file );
+	msn_file->r_event_id = b_input_add( fd, B_EV_IO_READ, msn_ftp_read, file );
 
 	return FALSE;
@@ -230,5 +230,5 @@
 	}
 
-	msn_file->r_event_id = b_input_add( msn_file->fd, GAIM_INPUT_READ, msn_ftps_connected, file );
+	msn_file->r_event_id = b_input_add( msn_file->fd, B_EV_IO_READ, msn_ftps_connected, file );
 
 	g_snprintf( buf, sizeof( buf ),
@@ -318,5 +318,5 @@
 	
 	sock_make_nonblocking( msn_file->fd );
-	msn_file->r_event_id = b_input_add( msn_file->fd, GAIM_INPUT_READ, msn_ftp_read, file );
+	msn_file->r_event_id = b_input_add( msn_file->fd, B_EV_IO_READ, msn_ftp_read, file );
 	
 	return FALSE;
@@ -415,5 +415,5 @@
 	    ( msn_file->data_sent + msn_file->sbufpos - 3 < file->file_size ) ) {
 		if( !msn_file->w_event_id )
-			msn_file->w_event_id = b_input_add( msn_file->fd, GAIM_INPUT_WRITE, msn_ftp_send, file );
+			msn_file->w_event_id = b_input_add( msn_file->fd, B_EV_IO_WRITE, msn_ftp_send, file );
 		return TRUE;
 	}
@@ -452,5 +452,5 @@
 		/* we might already be listening if this is data from an overflow */
 		if( !msn_file->w_event_id )
-			msn_file->w_event_id = b_input_add( msn_file->fd, GAIM_INPUT_WRITE, msn_ftp_send, file );
+			msn_file->w_event_id = b_input_add( msn_file->fd, B_EV_IO_WRITE, msn_ftp_send, file );
 	}
 
@@ -617,5 +617,5 @@
 
 	msn_file->r_event_id = 
-		b_input_add( msn_file->fd, GAIM_INPUT_READ, msn_ftp_read, file );
+		b_input_add( msn_file->fd, B_EV_IO_READ, msn_ftp_read, file );
 
 	return TRUE;
